/*
 * Class TABLE [NATURAL_64, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_451 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_451 [] = {0xFF01,237,450,212,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_451 [] = {0xFF01,450,212,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_451 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_451 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_451 [] = {0xFF01,450,212,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_451 [] = {0xFF01,450,212,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_451 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_451 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_451 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_451 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_451 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_451 [] = {450,212,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_451 [] = {0xFF01,450,212,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_451 [] = {0xFF01,444,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_451 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_451 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_451 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_451 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_451[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_451), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_451), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_451), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_451), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_451), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_451), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_451), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_451), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_451), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_451), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_451), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_451), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_451), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_451), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1871, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1872, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1873, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1874, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_451), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_451), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1935, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1972, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1936, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1937, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_451), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_451), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_451), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init451(void)
{
	IDSC(desc_451, 0, 450);
	IDSC(desc_451 + 1, 1, 450);
	IDSC(desc_451 + 32, 77, 450);
	IDSC(desc_451 + 41, 282, 450);
	IDSC(desc_451 + 50, 187, 450);
	IDSC(desc_451 + 56, 229, 450);
}


#ifdef __cplusplus
}
#endif
